## AgsXmlCertificate

AgsXmlCertificate — certificate by XML file

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_XML_CERTIFICATE_GET_OBJ_MUTEX()
void | ags_xml_certificate_open_filename ()
AgsXmlCertificate * | ags_xml_certificate_new ()

## Object Hierarchy

        GObject
        ╰── AgsXmlCertificate

## Includes

    #include <ags/server/security/ags_xml_certificate.h>

## Description

The AgsXmlCertificate is an object to verify certificates.

## Functions

### AGS_XML_CERTIFICATE_GET_OBJ_MUTEX()

    #define AGS_XML_CERTIFICATE_GET_OBJ_MUTEX(obj) (&(((AgsXmlCertificate *) obj)->obj_mutex))

### ags_xml_certificate_open_filename ()

    void
    ags_xml_certificate_open_filename (AgsXmlCertificate *xml_certificate,
                                       gchar *filename);

Open `filename` .

#### Parameters

xml_certificate | the AgsXmlCertificate |
filename | the filename |

Since: 3.0.0

### ags_xml_certificate_new ()

    AgsXmlCertificate *
    ags_xml_certificate_new ();

Create AgsXmlCertificate.

#### Returns

the new AgsXmlCertificate instance

Since: 3.0.0